complexType "InterestStatementDirection"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | singleDirection | bothDirections
</...>

Content Model Elements (2):

  bothDirections (defined in InterestStatementDirection complexType),
  singleDirection (defined in InterestStatementDirection complexType)

All Direct / Indirect Based Elements (3):

  segregatedIndependentAmount (in interestRequirement in interestStatement),
  segregatedIndependentAmount (in interestRequirement in interestStatement),
  variationMargin (in interestRequirement in interestStatement)

Known Usage Locations

- As direct type of elements (3):
  segregatedIndependentAmount (in interestRequirement in interestStatement),
  segregatedIndependentAmount (in interestRequirement in interestStatement),
  variationMargin (in interestRequirement in interestStatement)

XML Source (see within schema source)

<xsd:complexType name="InterestStatementDirection"> <xsd:choice> <xsd:element name="singleDirection" type="SingleDirectionInterestStatementRequirement"/> <xsd:element name="bothDirections" type="BothDirectionsInterestStatementRequirement"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
bothDirections

  Type: | BothDirectionsInterestStatementRequirement, complex content

  XML Source (see within schema source)

  <xsd:element name="bothDirections" type="BothDirectionsInterestStatementRequirement"/>

singleDirection

  Type: | SingleDirectionInterestStatementRequirement, complex content

  XML Source (see within schema source)

  <xsd:element name="singleDirection" type="SingleDirectionInterestStatementRequirement"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.